DS_COMPUTE_ARRAY_OFFSETS(3)

FUNCTION
ds_compute_array_offsets - Compute array address offsets for each dimension in an array.

SYNOPSIS
#include <karma_ds.h>

flag ds_compute_array_offsets

(array_desc *arr_desc)

DESCRIPTION
Compute array address offsets for each dimension in an array.

arr_desc
    The array descriptor. This descriptor is modified.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/